jv.object

## Class PsActionSupport

- java.lang.Object
- - jv.object.PsActionSupport

-     public final class PsActionSupport
      extends java.lang.Object

  This class may be used to add the functionality of sending ActionEvents to registered listeners to some class.
  Put an instance of `PsActionSupport` into your class (as a member variable) and write methods `addActionListener` and `removeActionListener` that only call the methods from `PsActionSupport`with the same name. Whenever you want an ActionEvent to be posted, just call `fireAction(ActionEvent)` of your `PsActionSupport` instance.
  Author:
    Eike Preuss
  Version:
    22.10.01, 1.10 revised (ep) Made compatible to JavaBeans specification.
    03.09.01, 1.00 created (ep)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PsActionSupport()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addActionListener(java.awt.event.ActionListener listener)` Adds a listener to internal list.
    `void` | `fireAction(java.awt.event.ActionEvent event)` Calls the `actionPerformed` method from all registered listeners with given `ActionEvent`.
    `void` | `removeActionListener(java.awt.event.ActionListener listener)` Removes (one occurrence of) a listener from internal list.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PsActionSupport

          public PsActionSupport()

  - ### Method Detail

    - #### addActionListener

          public void addActionListener(java.awt.event.ActionListener listener)

      Adds a listener to internal list. Registered listeners will be effected by `fireAction(ActionEvent)`.

    - #### removeActionListener

          public void removeActionListener(java.awt.event.ActionListener listener)

      Removes (one occurrence of) a listener from internal list. Registered listeners will be effected by `fireAction(ActionEvent)`.

    - #### fireAction

          public void fireAction(java.awt.event.ActionEvent event)

      Calls the `actionPerformed` method from all registered listeners with given `ActionEvent`.
      See Also:
        `addActionListener(ActionListener)`, `removeActionListener(ActionListener)`

"

The software JavaView? is copyright protected. All Rights Reserved.
"